Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153067 - Incorrect number of arguments in pthread_cond_timedwait example
Summary: Incorrect number of arguments in pthread_cond_timedwait example
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jiri Ryska
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 09:45 UTC by Nigel Horne
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: man-pages-2.05-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-04 14:55:21 UTC


Attachments (Terms of Use)

Description Nigel Horne 2005-04-01 09:45:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
'man pthread_cond_timedwait' includes this code in the EXAMPLE section:

gettimeofday(&now);

But gettimeofday takes 2 arguments.

Version-Release number of selected component (if applicable):
man-pages-1.67-3

How reproducible:
Always

Steps to Reproduce:
1. man pthread_cond_timedwait
2. man gettimeofday
3.
  

Actual Results:  The man page is wrong

Expected Results:  The man page should be right!

Additional info:


Note You need to log in before you can comment on or make changes to this bug.